%define		plugin	check_ssl_cert
Summary:	Nagios plugin to check the CA and validity of an X.509 certificate
Summary(pl.UTF-8):	Wtyczka Nagiosa sprawdzająca CA i ważność certyfikatu X.509
Name:		nagios-plugin-%{plugin}
Version:	1.17.0
Release:	1
License:	GPL v3
Group:		Networking
Source0:	https://trac.id.ethz.ch/projects/nagios_plugins/downloads/%{plugin}-%{version}.tar.gz
# Source0-md5:	d667b8e5ac9fa7f529c854ce45a1f6a5
Source1:	check_ssl_cert.cfg
Patch0:		ca_path.patch
URL:		https://trac.id.ethz.ch/projects/nagios_plugins/wiki/check_ssl_cert
BuildRequires:	rpm >= 4.4.9-56
Requires:	expect
Requires:	nagios-common
Requires:	openssl-tools >= 0.9.8i-3
Requires:	perl(Date::Parse)
Requires:	perl-base
Requires:	sed >= 4.0
Requires:	which
Suggests:	ca-certificates-update
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		plugindir	%{_prefix}/lib/nagios/plugins

%description
check_ssl_cert is a Nagios plugin to check X.509 certificates. It
checks if the server is running and delivers a valid certificate. It
also checks if the CA matches a given pattern, and checks the
validity.

%description -l pl.UTF-8
Wtyczka Nagiosa sprawdzająca certyfikaty X.509. Wtyczka ta sprawdza
czy serwer działa poprawnie oraz czy dostarcza ważny certyfikat.
Dodatkowo sprawdza czy CA pasuje do określonego wzorca i weryfikuje
jego poprawność.

%prep
%setup -q -n %{plugin}-%{version}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{plugindir},%{_mandir}/man1}
install -p %{plugin} $RPM_BUILD_ROOT%{plugindir}/%{plugin}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg
cp -p check_ssl_cert.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYRIGHT INSTALL NEWS README TODO VERSION
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}
%{_mandir}/man1/check_ssl_cert.1*
%changelog
* Wed Apr 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagios-plugin-check_ssl_cert.git;a=log;h=AC-branch

* Wed Apr 01 2015 Elan Ruusamäe <glen@delfi.ee> eeae0d5
- up to 1.17.0

* Wed Apr 01 2015 Elan Ruusamäe <glen@delfi.ee> 9c2bdb6
- require openssl tools for updated certs path

* Tue Nov 01 2011 zbyniu <zbyniu@pld-linux.org> 30b404b
- up to 1.11.0

* Mon Apr 04 2011 Elan Ruusamäe <glen@pld-linux.org> 54907c1
- warning/critical defaults

* Mon Apr 04 2011 Elan Ruusamäe <glen@pld-linux.org> 91284bc
- R: which

* Mon Apr 04 2011 Elan Ruusamäe <glen@pld-linux.org> 90c5cea
- check less often (same as https.crt service (from base plugins))

* Mon Apr 04 2011 Elan Ruusamäe <glen@pld-linux.org> 0ea4546
- not template

* Mon Apr 04 2011 Elan Ruusamäe <glen@pld-linux.org> 80a22d1
- setup default ca dir (-r option)

* Mon Apr 04 2011 Elan Ruusamäe <glen@pld-linux.org> 829cd29
- R: openssl-tools for /usr/bin/openssl

* Mon Apr 04 2011 Elan Ruusamäe <glen@pld-linux.org> 7b88b91
- move plugin conf as separate source in cvs

* Sun Apr 03 2011 Adam Gołębiowski <adamg@pld-linux.org> ef576ac
- new

